grammar SpringContext;

@parser::header {
package com.springsource.bundlor.support.parse;

import java.util.List;
}

@parser::members {

private List<String> paths = new ArrayList<String>();

public List<String> getPaths() {
	return paths;
}
}

@lexer::header {
package com.springsource.bundlor.support.parse;

}

springContextValue
	:	context (',' context) *
	;

context
	:	path (';' path) * (';' directive) *
	;

path
	:	NONRESERVEDCHAR * {paths.add($path.text.trim());}
	;

directive 
	:	identifier ':=' argument
	;

identifier 
	:	NONRESERVEDCHAR *
	;

argument
	:	NONRESERVEDCHAR *
	;

NONRESERVEDCHAR
	:	~(';' | ',')
	;
